namespace: alias-manager

images:
  - name: registry.ethz.ch/k8s-let/ethz-aliasmanager
    newTag: 2.0.0

replicas:
  - name: aliasmanager
    count: 1

resources:
  - ../k8s-system-base-master/alias-manager
  - dns-credentials.json

configMapGenerator:
  - name: env-vars
    literals:
      - DNS_ALIAS_HOSTNAME=let-k8s-reserved-014-002.ethz.ch
      - LOGLEVEL=INFO
      - DNS_ALIAS_TTL=300

patchesStrategicMerge:
  - env-vars.yml
